Package twisted :: Package protocols :: Module pop3 :: Class POP3Client |
[show private | hide private]
[frames | no frames]

## Class POP3Client

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          POP3Client

Method Summary
| `apop(self, user, digest)`
| `apopAuthenticate(self, user, password)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `BaseProtocol`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `dele(self, i)`
| `handle_default(self, line)`
| `handle_WELCOME(self, line)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| `list(self, i)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `pass_(self, pass_)`
| `quit(self)`
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| `retr(self, i)`
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| `sendLong(self, command, params)`
| `sendShort(self, command, params)`
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `uidl(self, i)`
| `user(self, name)`
| `_dispatch(self, command, default, *args)`

Class Variable Summary
`str` | `command`
`int` | `mode`
`SRE_Pattern` | `welcomeRe`

Method Details

### lineReceived(self, line) Override this for when each line is received. Overrides: `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

Class Variable Details

    ### command Type: `str` Value:
        'WELCOME'

    ### mode Type: `int` Value:
        1

    ### welcomeRe Type: `SRE_Pattern` Value:
        <(.*)>

Generated by Epydoc 1.1 on Thu May 8 13:18:54 2003 | http://epydoc.sf.net